
import nodemailer from "nodemailer";
import { NextResponse } from "next/server";

export async function POST(req: Request) {
  const { email, subject, html } = await req.json();
  const transporter = nodemailer.createTransport({
    service: 'gmail',
    host: 'smtp.gmail.com',
    auth: {
      user: process.env.NODEMAIL_MAIL,
      pass: process.env.NODEMAIL_PW,
    },
  });
  
  const mailData = {
    from: email,
    to: email,
    subject: `${subject}`,
    text: `${subject} | Sent from: ${email}`,
    html: `${html}`,
  };

  let emailRes;
  try {
    emailRes = await transporter.sendMail(mailData);
  
    console.log("Message sent", emailRes.messageId);
  } catch (err) {
  
    console.log(err);
  
    console.error("Error email could not be send");
  }
    console.log(emailRes?.messageId)
  return NextResponse.json({ success: true, messageId: emailRes?.messageId });
}